Bug 447357 - sysfs cpu?/topology is empty in 2.6.25
sysfs cpu?/topology is empty in 2.6.25
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i686 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-19 13:07 EDT by Guy Streeter
Modified: 2016-02-09 20:32 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-29 00:24:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Guy Streeter 2008-05-19 13:07:47 EDT
An error in conditional compilation disabled /sys/devices/cpu/cpu*/topology/ in
the 2.6.25 kernel. This is a regression from Fedora 8.
Please consider carrying the upstream patch at
5c3a121d52b30a1e53cdaa802fa1965fcd243164 until the F9 kernel rebases to
2.6.26-rc2 or later. irqbalance, among other things, depends on the cpu topology
information.
Comment 1 Dave Jones 2008-05-19 13:29:58 EDT
This is in 2.6.25.4, which the current cvs has updated to.
It'll be in an update soon.
Comment 2 Dave Jones 2008-05-19 14:08:00 EDT
wait a second..
/sys/devices/cpu never existed. it's always been /sys/devices/system/cpu

and looking on 2.6.25-14.fc9.x86_64 I see /sys/devices/system/cpu/cpu*/topology/
just fine.  What's going on here?
Comment 3 Dave Jones 2008-05-19 14:09:04 EDT
ah, this only affected 32 bit. never mind.
Comment 4 Guy Streeter 2008-05-19 14:53:33 EDT
my bad. I should have said "on 32bit". I did set the Hardware to x86

and I typoed the /sys/devices/system/cpu/cpu*/topology/
Comment 5 Guy Streeter 2008-07-28 12:14:53 EDT
This is fixed in the current F9 kernel.

Note You need to log in before you can comment on or make changes to this bug.